Bug 67184 - zsh not thought of in /etc/profile.d scripts
Summary: zsh not thought of in /etc/profile.d scripts
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: zsh   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-20 18:23 UTC by Nathan G. Grennan
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-21 16:37:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nathan G. Grennan 2002-06-20 18:23:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
Most of the *.sh scripts in /etc/profile.d are bash only unnesscarily. zsh could
take advantage of the aliases that bash does for things like color ls and color vi.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. rpm -i zsh-4.0.4-5.i386.rpm
2. chsh -s zsh user
3. login as user
4. ls

	

Actual Results:  ls output isn't colorized.

Expected Results:  ls output to be colorized.

Additional info:

Comment 1 Trond Eivind Glomsrxd 2002-06-21 16:24:00 UTC
it's colorized for me, and zsh does source the .sh files in the above directory
(the zsh init files sources the bash ones)

Comment 2 Nathan G. Grennan 2002-06-21 16:29:20 UTC
At least in my copies of the files there are checks to see if it is bash.

/etc/profile.d/colorls.sh
if echo $SHELL |grep bash 2>&1 >/dev/null; then # aliases are bash only

/etc/profile.d/vim.sh
if echo $SHELL |grep bash 2>&1 >/dev/null; then # aliases are bash only





Comment 3 Nathan G. Grennan 2002-06-21 16:34:14 UTC
This is using zsh-4.0.4-5 that comes with RedHat 7.3


Comment 4 Nathan G. Grennan 2002-06-21 16:37:30 UTC
/etc/profile.d/colorls.sh is owned by fileutils-4.1-10

/etc/profile.d/vim.sh is owned by vim-enhanced-6.1-2


Comment 5 Trond Eivind Glomsrxd 2002-06-21 16:45:29 UTC
I still get them with a test account. If you find bugs with other packages wrt.
zsh, please file it against those components (as the zsh owner, you can put me
on the cc list).


Note You need to log in before you can comment on or make changes to this bug.